%define debug_package %{nil}
%{!?commit:
%global commit fac5a23280e6467ec95bb0237fae3ce387d04f0b
}
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           machine-config-daemon
Version:        4.2.26
Release:        202003230105.git.0.bd2b910%{?dist}
Summary:        https://github.com/openshift/machine-config-operator
License:        ASL 2.0
URL:            https://github.com/openshift/machine-config-operator
Source0: machine-config-daemon-git-0.bd2b910.tar.gz

BuildRequires:  git
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang >= 1.6.2}

%description
%{summary}

%prep
%autosetup -Sgit -n machine-config-daemon-git-0.bd2b910 -p1
mkdir -p src/github.com/openshift/
ln -sr . src/github.com/openshift/machine-config-operator

%build
export GOPATH=`pwd`
cd src/github.com/openshift/machine-config-operator
env VERSION_OVERRIDE=%{version} SOURCE_GIT_COMMIT=%{commit} make daemon

%install
install -D -m 0755 _output/linux/*/%{name} $RPM_BUILD_ROOT/usr/libexec/%{name}
install -D -m 0755 cmd/machine-config-daemon/pivot.sh $RPM_BUILD_ROOT/%{_bindir}/pivot

%files
%license LICENSE
%doc README.md
%{_libexecdir}/%{name}
%{_bindir}/pivot
